Listar motoristas

Lista todos os motoristas cadastrados na conta (autenticada via `x-abbiamo-seller-group-key`).

No guia

Gestão de motoristas: Motoristas (Frota Própria).

Header obrigatório. Toda chamada exige o header x-abbiamo-seller-group-key. Preencha-o no canto superior direito desta página ou veja como obter a sua chave.

GET
/v1/drivers

Authorization

sellerGroupKey
x-abbiamo-seller-group-key<token>

In: header

Query Parameters

page_size?string

Quantidade de resultados por página

page?string

Número da página

Header Parameters

x-abbiamo-seller-group-key*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/drivers" \  -H "x-abbiamo-seller-group-key: string"
{
  "page": 1,
  "page_size": 1,
  "total_pages": 1,
  "has_next_page": true,
  "total_results": 1,
  "results": [
    {
      "id": "038050d8-c8b1-4af6-9e47-c6g9109b17dn",
      "name": "Teste motorista",
      "document_number": "12345678909",
      "phone": "84999999999",
      "active": true
    }
  ]
}
{
  "status_code": 400,
  "timestamp": "2026-03-20T14:42:32.311Z",
  "message": "page_size cannot be greater than 100, received 101",
  "code": "INVALID_PARAMS",
  "error_id": "f68ad5cb-2715-42e2-85cf-6741873ea9ca",
  "params": {
    "page_size": 101
  }
}